//
//  MyDrawNode.cpp
//  box
//
//  Created by Reza Ghobadinic on 2018-10-21.
//

#include "MyDrawNode.hpp"


Node* MyDrawNode::createNode()
{
    return MyDrawNode::create();
}


bool MyDrawNode::init()
{
    if(!Node::init())
        return false;
    
    isDrawn = false;
    
    auto visibleSize = Director::getInstance()->getVisibleSize();
    Vec2 origin = Director::getInstance()->getVisibleOrigin();
    
    float cx = origin.x + visibleSize.width * 0.5;
    float cy = origin.y + visibleSize.height * 0.5;
    
    setPosition(cx, cy);
    
    return true;
}


void MyDrawNode::draw(Renderer *renderer, const Mat4 &transform, uint32_t flags)
{
    if(!isDrawn)
    {
        auto draw = DrawNode::create();
        draw->drawLine(Vec2(-100, -100), Vec2(-100, +100), Color4F(1.0, 1.0, 1.0, 1.0));
        draw->drawLine(Vec2(+100, -100), Vec2(+100, +100), Color4F(1.0, 1.0, 1.0, 1.0));
        draw->drawLine(Vec2(-100, -100), Vec2(+100, -100), Color4F(1.0, 1.0, 1.0, 1.0));
        draw->drawLine(Vec2(-100, +100), Vec2(+100, +100), Color4F(1.0, 1.0, 1.0, 1.0));
        addChild(draw);
        isDrawn = true;
    }
}
